/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-28 09:19:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursestatistic;

import java.io.Serializable;

/**
 * @author: fengdesheng
 * @since: 2018/11/13
 */
public class CourseStatisticLessInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 试卷P数(1P为1面，1张纸为2P)
     */
    private Integer paperP;
    /**
     * 考生人数
     */
    private Integer totalStudent;

    public Integer getMultiplicationValue() {
        if (paperP == null) {
            paperP = 0;
        }
        if (totalStudent == null) {
            totalStudent = 0;
        }
        //返回相乘的结果
        return paperP * totalStudent;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getPaperP() {
        return paperP;
    }

    public void setPaperP(Integer paperP) {
        this.paperP = paperP;
    }

    public Integer getTotalStudent() {
        return totalStudent;
    }

    public void setTotalStudent(Integer totalStudent) {
        this.totalStudent = totalStudent;
    }

}